import { z } from "zod";

export const CreateQuestSchema = z.object({
    name: z.string().min(1),
    description: z.string().optional(),
    triggerEvent: z.string().min(1),
    target: z.coerce.number().min(1),
    xpReward: z.coerce.number().min(0),
    balanceReward: z.coerce.number().min(0),
});

export type CreateQuestInput = z.infer<typeof CreateQuestSchema>;

export const UpdateQuestSchema = z.object({
    name: z.string().min(1).optional(),
    description: z.string().optional(),
    triggerEvent: z.string().min(1).optional(),
    target: z.coerce.number().min(1).optional(),
    xpReward: z.coerce.number().min(0).optional(),
    balanceReward: z.coerce.number().min(0).optional(),
});

export type UpdateQuestInput = z.infer<typeof UpdateQuestSchema>;
